PETSc version 3.15.5
Fix/Edit manual page

# KSPLSQRGetStandardErrorVec

Get vector of standard error estimates. Only available if -ksp_lsqr_set_standard_error was set to true or KSPLSQRSetComputeStandardErrorVec(ksp, PETSC_TRUE) was called. Otherwise returns NULL.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPLSQRGetStandardErrorVec(KSP ksp,Vec *se)

Not Collective

### Input Parameters

| ksp | - iterative context

### Output Parameters

| se | - vector of standard estimates

### Options Database Keys

| -ksp_lsqr_set_standard_error | - set standard error estimates of solution

### Developer notes

Vaclav: I'm not sure whether this vector is useful for anything.

### See Also

KSPSolve(), KSPLSQR, KSPLSQRSetComputeStandardErrorVec()

### Level

intermediate

### Location

src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages